#
# spec file for package python-logging-journald
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15allpythons}
Name:           python-logging-journald
Version:        0.6.9
Release:        1.1
Summary:        Logging Handler For Sending Logs to journald
License:        MIT
URL:            https://github.com/mosquito/logging-journald
Source:         https://files.pythonhosted.org/packages/source/l/logging_journald/logging_journald-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module poetry-core}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Pure python logging handler for writing logs to the journald using native protocol

%prep
%setup -q -n logging_journald-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.md
%{python_sitelib}/logging_journald.py
%pycache_only %{python_sitelib}/__pycache__/*.pyc
%{python_sitelib}/logging_journald-%{version}.dist-info

%changelog
* Wed Oct 23 2024 Dirk Müller <dmueller@suse.com>
- update to 0.6.9:
  * drop python 3.7-3.8 support
* Wed Feb  7 2024 Dirk Müller <dmueller@suse.com>
- reduce rpmlint warnings
* Sat Jan 13 2024 Dirk Müller <dmueller@suse.com>
- update to 0.6.7:
  * Fix #6
* Thu Dec  7 2023 Dirk Müller <dmueller@suse.com>
- update to 0.6.6:
  * python 3.11 support
* Fri May 12 2023 Dirk Müller <dmueller@suse.com>
- Initial package (0.6.5)
